Index: sources/app/src/main/java/parkup/configs/token/ConfirmationTokenRP.java
===================================================================
--- sources/app/src/main/java/parkup/configs/token/ConfirmationTokenRP.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
+++ sources/app/src/main/java/parkup/configs/token/ConfirmationTokenRP.java	(revision 9dd526f0ddf9a23ad37dd4c977f761ff959f5913)
@@ -1,5 +1,5 @@
 package parkup.configs.token;
 
-import parkup.entities.RegistriranParkirac;
+import parkup.entities.RegisteredUser;
 
 import javax.persistence.*;
@@ -37,21 +37,21 @@
     @JoinColumn(nullable = false, name = "registriranParkirac_id")
     //many confirmation tokens to one registriranParkirac
-    private RegistriranParkirac registriranParkirac;
+    private RegisteredUser registeredUser;
 
     public ConfirmationTokenRP() {}
 
-    public ConfirmationTokenRP(int id, String token, LocalDateTime createdAt, LocalDateTime expiresAt, RegistriranParkirac registriranParkirac) {
+    public ConfirmationTokenRP(int id, String token, LocalDateTime createdAt, LocalDateTime expiresAt, RegisteredUser registeredUser) {
         this.id = id;
         this.token = token;
         this.createdAt = createdAt;
         this.expiresAt = expiresAt;
-        this.registriranParkirac = registriranParkirac;
+        this.registeredUser = registeredUser;
     }
 
-    public ConfirmationTokenRP(String token, LocalDateTime createdAt, LocalDateTime expiresAt, RegistriranParkirac registriranParkirac) {
+    public ConfirmationTokenRP(String token, LocalDateTime createdAt, LocalDateTime expiresAt, RegisteredUser registeredUser) {
         this.token = token;
         this.createdAt = createdAt;
         this.expiresAt = expiresAt;
-        this.registriranParkirac = registriranParkirac;
+        this.registeredUser = registeredUser;
     }
 
@@ -96,10 +96,10 @@
     }
 
-    public RegistriranParkirac getRegistriranParkirac() {
-        return registriranParkirac;
+    public RegisteredUser getRegistriranParkirac() {
+        return registeredUser;
     }
 
-    public void setRegistriranParkirac(RegistriranParkirac registriranParkirac) {
-        this.registriranParkirac = registriranParkirac;
+    public void setRegistriranParkirac(RegisteredUser registeredUser) {
+        this.registeredUser = registeredUser;
     }
 }
Index: sources/app/src/main/java/parkup/configs/token/ConfirmationTokenRepositoryRP.java
===================================================================
--- sources/app/src/main/java/parkup/configs/token/ConfirmationTokenRepositoryRP.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
+++ sources/app/src/main/java/parkup/configs/token/ConfirmationTokenRepositoryRP.java	(revision 9dd526f0ddf9a23ad37dd4c977f761ff959f5913)
@@ -15,5 +15,5 @@
     Optional<ConfirmationTokenRP> findByToken(String token);
 
-    void deleteByRegistriranParkirac_RegParkId(int regParkId);
+    void deleteByRegisteredUser_RegParkId(int regParkId);
 
     @Transactional
Index: sources/app/src/main/java/parkup/configs/token/ConfirmationTokenRepositoryW.java
===================================================================
--- sources/app/src/main/java/parkup/configs/token/ConfirmationTokenRepositoryW.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
+++ 	(revision )
@@ -1,25 +1,0 @@
-package parkup.configs.token;
-
-import org.springframework.data.jpa.repository.JpaRepository;
-import org.springframework.data.jpa.repository.Modifying;
-import org.springframework.data.jpa.repository.Query;
-import org.springframework.stereotype.Repository;
-
-import javax.transaction.Transactional;
-import java.time.LocalDateTime;
-import java.util.Optional;
-
-@Repository
-public interface ConfirmationTokenRepositoryW extends JpaRepository<ConfirmationTokenW,Integer> {
-
-    Optional<ConfirmationTokenW> findByToken(String token);
-
-    void deleteByVraboten_VrabotenId(int vraboten_id);
-
-    @Transactional
-    @Modifying
-    @Query("UPDATE ConfirmationTokenW c " +
-            "SET c.confirmedAt = ?2 " +
-            "WHERE c.token = ?1")
-    int updateConfirmedAt(String token, LocalDateTime confirmedAt);
-}
Index: sources/app/src/main/java/parkup/configs/token/ConfirmationTokenService.java
===================================================================
--- sources/app/src/main/java/parkup/configs/token/ConfirmationTokenService.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
+++ sources/app/src/main/java/parkup/configs/token/ConfirmationTokenService.java	(revision 9dd526f0ddf9a23ad37dd4c977f761ff959f5913)
@@ -10,10 +10,8 @@
 
     private final ConfirmationTokenRepositoryRP confirmationTokenRepositoryRP;
-    private final ConfirmationTokenRepositoryW confirmationTokenRepositoryW;
 
 
-    public ConfirmationTokenService(ConfirmationTokenRepositoryRP confirmationTokenRepositoryRP, ConfirmationTokenRepositoryW confirmationTokenRepositoryW, parkup.configs.token.ConfirmationTokenRepositoryW confirmationTokenRepositoryW1) {
+    public ConfirmationTokenService(ConfirmationTokenRepositoryRP confirmationTokenRepositoryRP) {
         this.confirmationTokenRepositoryRP = confirmationTokenRepositoryRP;
-        this.confirmationTokenRepositoryW = confirmationTokenRepositoryW1;
     }
     public void saveConfirmationTokenRP(ConfirmationTokenRP token){
@@ -21,20 +19,11 @@
     }
 
-    public void saveConfirmationTokenW(ConfirmationTokenW token){
-        confirmationTokenRepositoryW.save(token);}
 
     public Optional<ConfirmationTokenRP> getTokenRP(String token) {
         return confirmationTokenRepositoryRP.findByToken(token);
     }
-    public Optional<ConfirmationTokenW> getTokenW(String token){
-        return confirmationTokenRepositoryW.findByToken(token);
-    }
 
-    public void deleteByVraboten_VrabotenId(int vraboten_id){
-        confirmationTokenRepositoryW.deleteByVraboten_VrabotenId(vraboten_id);
-    }
-
-    public void deleteByRegistriranParkirac_RegParkId(int regParkId){
-        confirmationTokenRepositoryRP.deleteByRegistriranParkirac_RegParkId(regParkId);
+    public void deleteByRegisteredUser_RegParkId(int regParkId){
+        confirmationTokenRepositoryRP.deleteByRegisteredUser_RegParkId(regParkId);
     }
 
@@ -42,6 +31,3 @@
         return confirmationTokenRepositoryRP.updateConfirmedAt(token, LocalDateTime.now());
     }
-    public int setConfirmedAtW(String token){
-        return confirmationTokenRepositoryW.updateConfirmedAt(token,LocalDateTime.now());
-    }
 }
Index: sources/app/src/main/java/parkup/configs/token/ConfirmationTokenW.java
===================================================================
--- sources/app/src/main/java/parkup/configs/token/ConfirmationTokenW.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
+++ 	(revision )
@@ -1,105 +1,0 @@
-package parkup.configs.token;
-
-import parkup.entities.Vraboten;
-
-import javax.persistence.*;
-import java.time.LocalDateTime;
-
-@Entity
-public class ConfirmationTokenW {
-
-    @Id
-    @Column(name = "confirmation_token_id")
-    @SequenceGenerator(
-            name="confirmation_token_sequence_generator_W",
-            sequenceName = "confirmation_token_sequence_W",
-            allocationSize = 1,
-            initialValue = 1200
-    )
-    @GeneratedValue(    //za postgres treba sequence da se namesti i ime na generator mi ga davamo kako od gore sto e
-            strategy = GenerationType.SEQUENCE,
-            generator = "confirmation_token_sequence_generator_W"
-    )
-    private int id;
-
-    @Column(nullable = false)
-    private String token;
-
-    @Column(nullable = false)
-    private LocalDateTime createdAt;
-
-    @Column(nullable = false)
-    private LocalDateTime expiresAt;
-
-    private LocalDateTime confirmedAt;
-
-    @ManyToOne(cascade = {CascadeType.ALL})
-    @JoinColumn(nullable = false, name = "vraboten_id")
-    //many confirmation tokens to one registriranParkirac
-    private Vraboten vraboten;
-
-    public ConfirmationTokenW() {}
-
-    public ConfirmationTokenW(int id, String token, LocalDateTime createdAt, LocalDateTime expiresAt, Vraboten vraboten) {
-        this.id = id;
-        this.token = token;
-        this.createdAt = createdAt;
-        this.expiresAt = expiresAt;
-        this.vraboten = vraboten;
-    }
-
-    public ConfirmationTokenW(String token, LocalDateTime createdAt, LocalDateTime expiresAt, Vraboten vraboten) {
-        this.token = token;
-        this.createdAt = createdAt;
-        this.expiresAt = expiresAt;
-        this.vraboten = vraboten;
-    }
-
-    public int getId() {
-        return id;
-    }
-
-    public void setId(int id) {
-        this.id = id;
-    }
-
-    public String getToken() {
-        return token;
-    }
-
-    public void setToken(String token) {
-        this.token = token;
-    }
-
-    public LocalDateTime getCreatedAt() {
-        return createdAt;
-    }
-
-    public void setCreatedAt(LocalDateTime createdAt) {
-        this.createdAt = createdAt;
-    }
-
-    public LocalDateTime getExpiresAt() {
-        return expiresAt;
-    }
-
-    public void setExpiresAt(LocalDateTime expiresAt) {
-        this.expiresAt = expiresAt;
-    }
-
-    public LocalDateTime getConfirmedAt() {
-        return confirmedAt;
-    }
-
-    public void setConfirmedAt(LocalDateTime confirmedAt) {
-        this.confirmedAt = confirmedAt;
-    }
-
-    public Vraboten getRegistriranParkirac() {
-        return vraboten;
-    }
-
-    public void setRegistriranParkirac(Vraboten vraboten) {
-        this.vraboten = vraboten;
-    }
-}
